Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

Apple TV < 9.1 Multiple Vulnerabilities

Critical

Synopsis

The version of this Apple TV device is not current and is thus unpatched for multiple vulnerabilities.

Description

Versions of Apple TV earlier than 9.1 are unpatched for vulnerabilities in the following components :

- AppleMobileFileIntegrity (CVE-2015-7055) - Compression (CVE-2015-7054) - CoreGraphics (CVE-2015-7105) - CoreMedia Playback (CVE-2015-7074, CVE-2015-7075) - Disk Images (CVE-2015-7110) - dyld (CVE-2015-7072, CVE-2015-7079) - ImageIO (CVE-2015-7053) - IOAcceleratorFamily (CVE-2015-7109) - IOHIDFamily (CVE-2015-7111, CVE-2015-7112) - IOKit SCSI (CVE-2015-7068) - Kernel (CVE-2015-7040, CVE-2015-7041, CVE-2015-7042, CVE-2015-7043, CVE-2015-7083, CVE-2015-7084, CVE-2015-7047) - libarchive (CVE-2011-2895) - libc (CVE-2015-7038, CVE-2015-7039) - libxml2 (CVE-2015-7115, CVE-2015-7116) - MobileStorageMounter (CVE-2015-7051) - OpenGL (CVE-2015-7064, CVE-2015-7065) - Security (CVE-2015-7073) - Security (CVE-2015-7059, CVE-2015-7060, CVE-2015-7061) - Security (CVE-2015-7058) - WebKit (CVE-2015-7048, CVE-2015-7095, CVE-2015-7096, CVE-2015-7097, CVE-2015-7098, CVE-2015-7099, CVE-2015-7100, CVE-2015-7101, CVE-2015-7102, CVE-2015-7103, CVE-2015-7104, CVE-2015-7066)

Solution

Upgrade Apple TV to 9.1, or later.